cordova.define("com.sf.cordova.sign.SFSign", function(require, exports, module) { 

var exec = require('cordova/exec');

/**
 * 提供用户相关接口，如登录、注册以及用户信息修改接口等等
 */
               
module.exports = {
   /**
    * 执行某个动作需要检查是否登录，如果没有登录，将会调用登录模块，若已经登录，将直接返回
    *
    * @param {Function} completionCallback  完成回调，返回登录状态和用户信息：{isLogin:boolean,user:{user}}
    * @param {Function} cancelCallback      取消回调，若用户取消将调用此回调
    */
   auth: function(completionCallback,cancelCallback) {
      exec(completionCallback, cancelCallback, "SFSign", "auth", []);
   }
};

});
