cordova.define('cordova/plugin_list', function(require, exports, module) {
module.exports = [
    {
        "file": "plugins/org.apache.cordova.device/www/device.js",
        "id": "org.apache.cordova.device.device",
        "clobbers": [
            "device"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.dialogs/www/notification.js",
        "id": "org.apache.cordova.dialogs.notification",
        "merges": [
            "navigator.notification"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.dialogs/www/android/notification.js",
        "id": "org.apache.cordova.dialogs.notification_android",
        "merges": [
            "navigator.notification"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/DirectoryEntry.js",
        "id": "org.apache.cordova.file.DirectoryEntry",
        "clobbers": [
            "window.DirectoryEntry"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/DirectoryReader.js",
        "id": "org.apache.cordova.file.DirectoryReader",
        "clobbers": [
            "window.DirectoryReader"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/Entry.js",
        "id": "org.apache.cordova.file.Entry",
        "clobbers": [
            "window.Entry"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/File.js",
        "id": "org.apache.cordova.file.File",
        "clobbers": [
            "window.File"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/FileEntry.js",
        "id": "org.apache.cordova.file.FileEntry",
        "clobbers": [
            "window.FileEntry"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/FileError.js",
        "id": "org.apache.cordova.file.FileError",
        "clobbers": [
            "window.FileError"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/FileReader.js",
        "id": "org.apache.cordova.file.FileReader",
        "clobbers": [
            "window.FileReader"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/FileSystem.js",
        "id": "org.apache.cordova.file.FileSystem",
        "clobbers": [
            "window.FileSystem"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/FileUploadOptions.js",
        "id": "org.apache.cordova.file.FileUploadOptions",
        "clobbers": [
            "window.FileUploadOptions"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/FileUploadResult.js",
        "id": "org.apache.cordova.file.FileUploadResult",
        "clobbers": [
            "window.FileUploadResult"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/FileWriter.js",
        "id": "org.apache.cordova.file.FileWriter",
        "clobbers": [
            "window.FileWriter"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/Flags.js",
        "id": "org.apache.cordova.file.Flags",
        "clobbers": [
            "window.Flags"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/LocalFileSystem.js",
        "id": "org.apache.cordova.file.LocalFileSystem",
        "clobbers": [
            "window.LocalFileSystem"
        ],
        "merges": [
            "window"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/Metadata.js",
        "id": "org.apache.cordova.file.Metadata",
        "clobbers": [
            "window.Metadata"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/ProgressEvent.js",
        "id": "org.apache.cordova.file.ProgressEvent",
        "clobbers": [
            "window.ProgressEvent"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/fileSystems.js",
        "id": "org.apache.cordova.file.fileSystems"
    },
    {
        "file": "plugins/org.apache.cordova.file/www/requestFileSystem.js",
        "id": "org.apache.cordova.file.requestFileSystem",
        "clobbers": [
            "window.requestFileSystem"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/resolveLocalFileSystemURI.js",
        "id": "org.apache.cordova.file.resolveLocalFileSystemURI",
        "merges": [
            "window"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/android/FileSystem.js",
        "id": "org.apache.cordova.file.androidFileSystem",
        "merges": [
            "FileSystem"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.file/www/fileSystems-roots.js",
        "id": "org.apache.cordova.file.fileSystems-roots",
        "runs": true
    },
    {
        "file": "plugins/org.apache.cordova.file/www/fileSystemPaths.js",
        "id": "org.apache.cordova.file.fileSystemPaths",
        "merges": [
            "cordova"
        ],
        "runs": true
    },
    {
        "file": "plugins/org.apache.cordova.network-information/www/network.js",
        "id": "org.apache.cordova.network-information.network",
        "clobbers": [
            "navigator.connection",
            "navigator.network.connection"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.network-information/www/Connection.js",
        "id": "org.apache.cordova.network-information.Connection",
        "clobbers": [
            "Connection"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.navigation/www/sfnavigation.js",
        "id": "com.sf.cordova.navigation.SFNavigation",
        "clobbers": [
            "sf.navigation"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.push/www/sfpush.js",
        "id": "com.sf.cordova.push.SFPush",
        "clobbers": [
            "sf.push"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.sfuserapi/www/sfuserapi.js",
        "id": "com.sf.cordova.sfuserapi.SFUserAPI",
        "clobbers": [
            "sf.userapi"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.socialsharing/www/socialsharing.js",
        "id": "com.sf.cordova.socialsharing.SocialSharing",
        "clobbers": [
            "sf.socialsharing"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.payment/www/sfpayment.js",
        "id": "com.sf.cordova.payment.SFPayment",
        "clobbers": [
            "sf.payment"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.sfapi/www/sfapi.js",
        "id": "com.sf.cordova.sfapi.SFAPI",
        "clobbers": [
            "sf.api"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.sign/www/sign.js",
        "id": "com.sf.cordova.sign.SFSign",
        "clobbers": [
            "sf.sign"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.storage/www/sfstorage.js",
        "id": "com.sf.cordova.storage.SFStorage",
        "clobbers": [
            "sf.storage"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.toast/www/sftoast.js",
        "id": "com.sf.cordova.toast.SFToast",
        "clobbers": [
            "sf.toast"
        ]
    },
    {
        "file": "plugins/com.sf.cordova.notificationcenter/www/sfnotificationcenter.js",
        "id": "com.sf.cordova.notificationcenter.SFNotificationCenter",
        "clobbers": [
            "sf.notificationCenter"
        ]
    },
    {
        "file": "plugins/cordova-plugin-camera/www/CameraConstants.js",
        "id": "cordova-plugin-camera.Camera",
        "clobbers": [
            "Camera"
        ]
    },
    {
        "file": "plugins/cordova-plugin-camera/www/CameraPopoverOptions.js",
        "id": "cordova-plugin-camera.CameraPopoverOptions",
        "clobbers": [
            "CameraPopoverOptions"
        ]
    },
    {
        "file": "plugins/cordova-plugin-camera/www/Camera.js",
        "id": "cordova-plugin-camera.camera",
        "clobbers": [
            "navigator.camera"
        ]
    },
    {
        "file": "plugins/cordova-plugin-camera/www/CameraPopoverHandle.js",
        "id": "cordova-plugin-camera.CameraPopoverHandle",
        "clobbers": [
            "CameraPopoverHandle"
        ]
    },
    {
        "file": "plugins/cordova-plugin-shake/www/shake.js",
        "id": "cordova-plugin-shake.Shake",
        "clobbers": [
            "shake"
             ]
    },
    {
        "file": "plugins/com.sf.cordova.location/www/sflocation.js",
        "id": "com.sf.cordova.location.SFLocation",
        "clobbers": [
            "sf.location"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.device-motion/www/Acceleration.js",
        "id": "org.apache.cordova.device-motion.Acceleration",
        "clobbers": [
            "Acceleration"
        ]
    },
    {
        "file": "plugins/org.apache.cordova.device-motion/www/accelerometer.js",
        "id": "org.apache.cordova.device-motion.accelerometer",
        "clobbers": [
            "navigator.accelerometer"
        ]
    }
];
module.exports.metadata = 
// TOP OF METADATA
{
    "org.apache.cordova.device": "0.3.0",
    "org.apache.cordova.dialogs": "0.3.0",
    "org.apache.cordova.file": "1.3.3",
    "org.apache.cordova.network-information": "0.2.15",
    "com.sf.cordova.navigation": "0.1.0",
    "com.sf.cordova.push": "0.1.0",
    "com.sf.cordova.sfuserapi": "0.1.0",
    "com.sf.cordova.socialsharing": "0.1.0",
    "com.sf.cordova.payment": "0.1.0",
    "com.sf.cordova.sfapi": "0.1.0",
    "com.sf.cordova.sign": "0.1.0",
    "com.sf.cordova.storage": "0.1.0",
    "com.sf.cordova.toast": "0.1.0",
    "com.sf.cordova.notificationcenter": "0.1.0",
    "cordova-plugin-camera": "1.2.1-dev",
    "cordova-plugin-shake": "0.5.1",
    "com.sf.cordova.location": "0.1.0",
    "org.apache.cordova.device-motion": "0.2.11"
}
// BOTTOM OF METADATA
});